Package org.apache.maven.scm.provider.bazaar.command

## Class BazaarConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.bazaar.command.BazaarConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

Direct Known Subclasses:
  `BazaarAddConsumer`, `BazaarBlameConsumer`, `BazaarChangeLogConsumer`, `BazaarCheckOutConsumer`, `BazaarDiffConsumer`, `BazaarRemoveConsumer`

    public class BazaarConsumer
    extends AbstractConsumer

Base consumer to do common parsing for all bazaar commands.

More specific: log line each line if debug is enabled, get file status and detect warnings from bazaar

Author:
  TorbjÃ¶rn Eikli SmÃ¶rgrav

### Constructor Summary

Constructors
`BazaarConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`void` `doConsume​(ScmFileStatus status, java.lang.String trimmedLine)`
`java.lang.String` `getStdErr()` Warnings and errors is usually printed out in Std.Err, thus for derived consumers operating on Std.Out this would typically return an empty string.

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarConsumer

    public BazaarConsumer​(ScmLogger logger)

### Method Detail

#### doConsume

    public void doConsume​(ScmFileStatus status,
                          java.lang.String trimmedLine)

#### consumeLine

    public void consumeLine​(java.lang.String line)

#### getStdErr

    public java.lang.String getStdErr()

Warnings and errors is usually printed out in Std.Err, thus for derived consumers operating on Std.Out this would typically return an empty string.

Returns:
  Return the last lines interpreted as an warning or an error